- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions

# MFeedbackLine Class Reference

# OpenMayaUI - API module for user interface

Search for all occurrences

## Detailed Description

Feedback line.

The MFeedbackLine class is used to display information back to the user. The format for the feedback line which indicates the number and type of the arguments should be set with the setFormat method. The values of the arguments should be set using the setValue method.

`#include <MFeedbackLine.h>`

List of all members.

## Static Public Member Functions
static MStatus | setFormat (const MString &format)
| Set the format string for the feedback line.
static MStatus | setTitle (const MString &title)
| Set the title string.
static MStatus | setValue (short index, double value)
| Set the value of a given index in the feedback line.
static void | clear ()
| Clear whatever is showing in the feedback line.
static bool | showFeedback ()
| Return whether or not the feedback line is is supposed to be displaying data.
static void | setShowFeedback (bool showFeedback)
| Set whether the feedback line is supposed to be displaying data.
static const char * | className ()
| Returns the name of this class. Search for all occurrences

## Member Function Documentation

MStatus setFormat | ( | const MString & | format | ) | `[static]`

Search for all occurrences

Set the format string for the feedback line.

The format begins with a format specifier "^" followed by the format size, format decimal character ".", decimal size, and format type. For example: the format "^6.3f" which specifies that there is going to be one value given, it is a float, with 3 decimal places shown.

Parameters:

  [in] | format | the format string for the feedback line

Returns:
  - MS::kSuccess operation successful
  - MS::kInsufficientMemory insufficient memory

Examples:
  moveNumericTool.cpp.

MStatus setTitle | ( | const MString & | title | ) | `[static]`

Search for all occurrences

Set the title string.

Parameters:

  [in] | title | the title string

Returns:
  - MS::kSuccess operation successful
  - MS::kInsufficientMemory insufficient memory

Examples:
  moveNumericTool.cpp.

MStatus setValue | ( | short | index,
|  | double | value
| ) |  | `[static]`

Search for all occurrences

Set the value of a given index in the feedback line.

Parameters:

  [in] | index | the index whose value should be set
  [in] | value | the value of the index

Returns:
  - MS::kSuccess operation successful
  - MS::kInsufficientMemory insufficient memory

Examples:
  moveNumericTool.cpp.

bool showFeedback | ( |  | ) | `[static]`

Search for all occurrences

Return whether or not the feedback line is is supposed to be displaying data.

Returns:
  - true the feedback line is displaying data
  - false the feedback line is not displaying data

void setShowFeedback | ( | bool | showFeedback | ) | `[static]`

Search for all occurrences

Set whether the feedback line is supposed to be displaying data.

Parameters:

  [in] | showFeedback | whether or not the feedback line should display data

const char * className | ( |  | ) | `[static]`

Search for all occurrences

Returns the name of this class.

Returns:
  The name of this class.

MFeedbackLine MFeedbackLine MFeedbackLine MFeedbackLine MFeedbackLine MFeedbackLine MFeedbackLine MFeedbackLine MFeedbackLine MFeedbackLine
MFeedbackLine MFeedbackLine MFeedbackLine MFeedbackLine MFeedbackLine MFeedbackLine MFeedbackLine MFeedbackLine MFeedbackLine MFeedbackLine